#!/bin/bash

if [ -z $1 ]; then
	exit 0
fi

if [ "$1" -eq "0" ]; then
        query="SELECT framedipaddress, $HARD_LIMIT_RX, $HARD_LIMIT_TX FROM radacctbras WHERE nasipaddress='$BRASIP'"
elif [ "$1" -eq "1" ]; then
        query="SELECT framedipaddress, dop_interval1_speed_in, dop_interval1_speed_out FROM packets p, radacctbras r WHERE do_shapers_day_night=1 AND p.gid=r.gid AND nasipaddress='$BRASIP'"
elif [ "$1" -eq "2" ]; then
        query="SELECT framedipaddress, dop_interval2_speed_in, dop_interval2_speed_out FROM packets p, radacctbras r WHERE dop_do_interval2=1 AND p.gid=r.gid AND nasipaddress='$BRASIP'"

else
    	exit 0
fi

result=$(mysql -h $DBADDRESS -u$DBLOGIN -p$DBPASS $DBNAME -se "$query")
data=($( for i in $result ; do echo $i ; done ))

for ((i=0; i<=${#data[@]} ; i+=3))
do
    t1=$i
    t2=$((i+1))
    t3=$((i+2))

    ip=${data[$t1]}
    rx=${data[$t2]}
    tx=${data[$t3]}

    rx=$((rx*1000))
    tx=$((tx*1000))

    if [ ! -z $ip ]; then
    	if [ $rx -gt 0 ]; then
			echo @+$ip $rx > /proc/net/ipt_ratelimit/$RX_LIST
		fi

		if [ $tx -gt 0 ]; then
	    	echo @+$ip $tx > /proc/net/ipt_ratelimit/$TX_LIST
		fi
    fi
done
